
From: Anton Blanchard <anton@samba.org>




---

 arch/ppc64/kernel/lparcfg.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN arch/ppc64/kernel/lparcfg.c~ppc64-lparcfg_fixes arch/ppc64/kernel/lparcfg.c
--- 25/arch/ppc64/kernel/lparcfg.c~ppc64-lparcfg_fixes	2004-01-26 19:44:12.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/lparcfg.c	2004-01-26 19:44:12.000000000 -0800
@@ -332,7 +332,7 @@ static int lparcfg_data(unsigned char *b
 		system_potential_processors =  get_splpar_potential_characteristics();
 		n += snprintf(buf+n, LPARCFG_BUFF_SIZE - n, 
 			      "system_active_processors=%d\n", 
-			      (h_resource >> 2*8) && 0xffff);
+			      (h_resource >> 2*8) & 0xffff);
 		n += snprintf(buf+n, LPARCFG_BUFF_SIZE - n, 
 			      "system_potential_processors=%d\n", 
 			      system_potential_processors);
@@ -373,16 +373,16 @@ static int lparcfg_data(unsigned char *b
 
 	if (cur_cpu_spec->firmware_features & FW_FEATURE_SPLPAR) {
 		n += snprintf(buf+n, LPARCFG_BUFF_SIZE - n, 
-			      "pool=%d\n", (h_aggregation >> 0*8)&&0xffff);
+			      "pool=%d\n", (h_aggregation >> 0*8)&0xffff);
 
 		n += snprintf(buf+n, LPARCFG_BUFF_SIZE - n, 
-			      "pool_capacity=%d\n", (h_resource >> 3*8) &&0xffff);
+			      "pool_capacity=%d\n", (h_resource >> 3*8) &0xffff);
 
 		n += snprintf(buf+n, LPARCFG_BUFF_SIZE - n, 
-			      "group=%d\n", (h_aggregation >> 2*8)&&0xffff);
+			      "group=%d\n", (h_aggregation >> 2*8)&0xffff);
 
 		n += snprintf(buf+n, LPARCFG_BUFF_SIZE - n, 
-			      "capped=%d\n", (h_resource >> 6*8)&&0x40);
+			      "capped=%d\n", (h_resource >> 6*8)&0x40);
 
 		n += snprintf(buf+n, LPARCFG_BUFF_SIZE - n, 
 			      "capacity_weight=%d\n", (int)(h_resource>>5*8)&0xFF);

_
